<rtflowfile version="1.0">
   <block name="Length" folder="Standard\Arithmetic\" width="48" height="48">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="48" y2="48">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="line" x1="16" y1="24" x2="32" y2="24" style="solid"/>
      <graphic class="line" x1="16" y1="24" x2="16" y2="20" style="solid"/>
      <graphic class="line" x1="32" y1="24" x2="32" y2="20" style="solid"/>
      <graphic class="line" x1="24" y1="24" x2="24" y2="22" style="solid"/>
      <doc>Computes the length of a vector. The vector is given as a pair of real cartesian coordinates (dx,dy).</doc>
      <port name="dx" type="real" x="0" y="16" kind="input" dir="left">
         <doc>X component of the vector.</doc>
      </port>
      <port name="dy" type="real" x="0" y="32" kind="input" dir="left">
         <doc>Y component of the vector.</doc>
      </port>
      <port name="l" type="real" x="48" y="16" kind="output" dir="right">
         <doc>The length of the vector (dx,dy).</doc>
      </port>
   </block>
   <schematic name="Length" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="dx" block="RealInput" x="48" y="56"/>
      <binstance name="dy" block="RealInput" x="48" y="104"/>
      <binstance name="Sqr1" block="Sqr" x="96" y="48"/>
      <binstance name="Sqr2" block="Sqr" x="96" y="96"/>
      <binstance name="Add1" block="Add" x="176" y="48"/>
      <binstance name="Sqrt1" block="Sqrt" x="240" y="48"/>
      <binstance name="l" block="RealOutput" x="320" y="56"/>
      <connection name="dx" port1="dx.o" port2="Sqr1.i">
         <point x="64" y="64"/>
         <point x="96" y="64"/>
      </connection>
      <connection name="dy" port1="dy.o" port2="Sqr2.i">
         <point x="64" y="112"/>
         <point x="96" y="112"/>
      </connection>
      <connection name="dx2" port1="Sqr1.o" port2="Add1.i0">
         <point x="128" y="64"/>
         <point x="153" y="64"/>
         <point x="153" y="56"/>
         <point x="178" y="56"/>
      </connection>
      <connection name="dy2" port1="Sqr2.o" port2="Add1.i1">
         <point x="128" y="112"/>
         <point x="153" y="112"/>
         <point x="153" y="72"/>
         <point x="178" y="72"/>
      </connection>
      <connection name="sum" port1="Add1.o" port2="Sqrt1.i0">
         <point x="208" y="64"/>
         <point x="240" y="64"/>
      </connection>
      <connection name="l" port1="Sqrt1.o" port2="l.i0">
         <point x="272" y="64"/>
         <point x="320" y="64"/>
      </connection>
   </schematic>
</rtflowfile>
