<rtflowfile version="1.0">
   <block name="D" folder="Standard\Dynamic\" width="48" height="48">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="false" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="48" y2="48">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="text" x="24" y="24" height="12" s="D"/>
      <doc>Holds the value of a real-valued signal. When the boolean input signal set is 1, input signal value is copied to the resulting signal o. When set is 0, the resulting signal o holds the same value since set was 1. Before any value has been set, the resulting signal o is 0.</doc>
      <port name="value" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The value to hold.</doc>
      </port>
      <port name="set" type="bool" x="0" y="32" kind="input" dir="left">
         <doc>1 to set o to value, 0 to let o keep the old value.</doc>
      </port>
      <port name="o" type="real" x="48" y="16" kind="output" dir="right">
         <doc>The value of the signal value when set was last 1, or 0 if set has not yet been 1.</doc>
      </port>
   </block>
   <schematic name="D" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="value" block="RealInput" x="64" y="32"/>
      <binstance name="set" block="BoolInput" x="64" y="112"/>
      <binstance name="If1" block="If" x="192" y="32"/>
      <binstance name="Pre1" block="Pre" x="128" y="48">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="o" block="RealOutput" x="272" y="40"/>
      <connection name="set" port1="set.o" port2="If1.i2">
         <point x="80" y="120"/>
         <point x="200" y="120"/>
         <point x="200" y="64"/>
      </connection>
      <connection name="value" port1="value.o" port2="If1.i1">
         <point x="80" y="40"/>
         <point x="192" y="40"/>
      </connection>
      <connection name="pre_o" port1="Pre1.o" port2="If1.i0">
         <point x="160" y="64"/>
         <point x="176" y="64"/>
         <point x="176" y="56"/>
         <point x="192" y="56"/>
      </connection>
      <connection name="o" port1="If1.o" port2="Pre1.i0">
         <point x="224" y="48"/>
         <point x="240" y="48"/>
         <point x="240" y="96"/>
         <point x="112" y="96"/>
         <point x="112" y="64"/>
         <point x="128" y="64"/>
      </connection>
      <connection name="o" port1="If1.o" port2="o.i0">
         <point x="224" y="48"/>
         <point x="272" y="48"/>
      </connection>
   </schematic>
</rtflowfile>
